org.eclipse.aether.repository

## Class LocalArtifactRequest

- java.lang.Object
- - org.eclipse.aether.repository.LocalArtifactRequest

-     public final class LocalArtifactRequest
      extends Object

  A query to the local repository for the existence of an artifact.
  See Also:
    `LocalRepositoryManager.find(RepositorySystemSession, LocalArtifactRequest)`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LocalArtifactRequest()` Creates an uninitialized query.
    `LocalArtifactRequest(Artifact artifact, List<RemoteRepository> repositories, String context)` Creates a query with the specified properties.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Artifact` | `getArtifact()` Gets the artifact to query for.
    `String` | `getContext()` Gets the resolution context.
    `List<RemoteRepository>` | `getRepositories()` Gets the remote repositories to consider as sources of the artifact.
    `LocalArtifactRequest` | `setArtifact(Artifact artifact)` Sets the artifact to query for.
    `LocalArtifactRequest` | `setContext(String context)` Sets the resolution context.
    `LocalArtifactRequest` | `setRepositories(List<RemoteRepository> repositories)` Sets the remote repositories to consider as sources of the artifact.
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### LocalArtifactRequest

          public LocalArtifactRequest()

      Creates an uninitialized query.

    - #### LocalArtifactRequest

          public LocalArtifactRequest(Artifact artifact,
                              List<RemoteRepository> repositories,
                              String context)

      Creates a query with the specified properties.
      Parameters:
        `artifact` - The artifact to query for, may be `null`.
        `repositories` - The remote repositories that should be considered as potential sources for the artifact, may be `null` or empty to only consider locally installed artifacts.
        `context` - The resolution context for the artifact, may be `null`.

  - ### Method Detail

    - #### getArtifact

          public Artifact getArtifact()

      Gets the artifact to query for.
      Returns:
        The artifact or `null` if not set.

    - #### setArtifact

          public LocalArtifactRequest setArtifact(Artifact artifact)

      Sets the artifact to query for.
      Parameters:
        `artifact` - The artifact, may be `null`.
      Returns:
        This query for chaining, never `null`.

    - #### getContext

          public String getContext()

      Gets the resolution context.
      Returns:
        The resolution context, never `null`.

    - #### setContext

          public LocalArtifactRequest setContext(String context)

      Sets the resolution context.
      Parameters:
        `context` - The resolution context, may be `null`.
      Returns:
        This query for chaining, never `null`.

    - #### getRepositories

          public List<RemoteRepository> getRepositories()

      Gets the remote repositories to consider as sources of the artifact.
      Returns:
        The remote repositories, never `null`.

    - #### setRepositories

          public LocalArtifactRequest setRepositories(List<RemoteRepository> repositories)

      Sets the remote repositories to consider as sources of the artifact.
      Parameters:
        `repositories` - The remote repositories, may be `null` or empty to only consider locally installed artifacts.
      Returns:
        This query for chaining, never `null`.

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2010-2013 The Eclipse Foundation. All Rights Reserved.